@import '../../styles.scss';

.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.content-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  border: solid 0.1em rgba($color-vacc-black, 0.2);
  border-radius: 1em;
  background: white;
  box-sizing: border-box;
  width: 50%;
}

@media (max-width: 1400px) {
  .content-container {
    width: 70%;
  }
}

@media (max-width: 700px) {
  .content-container {
    width: 80%;
  }
}

.shadow {
  box-shadow: 0 .15rem 1.75rem 0 rgba(58, 59, 69, .15) !important;
}

.content-container-title {
  flex: 0 1 auto;
  box-sizing: border-box;
  min-height: 5em;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  border-radius: 1em 1em 0 0;
  border-bottom: solid 0.1em rgba($color-vacc-black, 0.2);
  background: #F7F7F7;
  padding: 0 1em;

  h2 {
    margin: auto 0;
    padding: 0 1em;
    font-size: 1.4rem;
    font-weight: 900;
    color: #575A5D;
  }

}

.content-container-body {
  flex: 1 1 auto;
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2em;
  margin: 3em 0;

  button {
    margin-top: 2em;
  }
}






.input-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.5em;
  font-size: 1.2em;


  input, select {
    min-height: 2.5em;
    border: rgba($color-vacc-black, 0.5) solid 1px;
    border-radius: 0.5em;
    padding: 0 1em;

    &.error {
      border-color: red;

      &:focus {
        outline: none;
      }
    }
  }
  label {
    display: inline-flex;
    justify-content: flex-start;
  }
}

.btn {
  border: none;
  text-align: center;
  background-color: #555d6c;
  color: white;
  padding: 0.5em 1.3em;
  border-radius: 0.3em;
  cursor: pointer;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;

  &:hover {
    background-color: #2d3338;
  }
}

.btn-submit {
  width: 70%;
  height: 3em;
  font-size: 1em;
}
